com.google.cloud.dataflow.sdk.transforms

## Class AggregatorRetriever

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.AggregatorRetriever

    public final class AggregatorRetriever
    extends Object

An internal class for extracting `Aggregators` from `DoFns`.

### Method Summary

All Methods Static Methods Concrete Methods
`static Collection<Aggregator<?,?>>` `getAggregators(DoFn<?,?> fn)` Returns the `Aggregators` created by the provided `DoFn`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAggregators

    public static Collection<Aggregator<?,?>> getAggregators(DoFn<?,?> fn)

Returns the `Aggregators` created by the provided `DoFn`.